1 Reply Latest reply on Sep 30, 2007 5:39 AM by Tim Fox

    which version of jboss messaging is compatible with jbossas

    Jim Williams Newbie

      I'm not able to get jboss messaging 1.3GA working with jbossas 4.2.1 server. The appserver starts up fine, however when my JMS clients try to connect to the JMS server, they are failing with the following:

      Failed to communicate. Problem during marshalling/unmarshalling; nested exception is:
       java.io.OptionalDataException
      event stack trace: java.rmi.MarshalException: Failed to communicate. Problem during marshalling/unmarshalling; nested exception is:
       java.io.OptionalDataException
       at org.jboss.remoting.transport.socket.SocketClientInvoker.transport(SocketClientInvoker.java:306)
       at org.jboss.remoting.RemoteClientInvoker.invoke(RemoteClientInvoker.java:143)
       at org.jboss.remoting.Client.invoke(Client.java:525)
       at org.jboss.remoting.Client.invoke(Client.java:488)
       at org.jboss.invocation.unified.interfaces.UnifiedInvokerProxy.invoke(UnifiedInvokerProxy.java:175)
       at org.jboss.invocation.InvokerInterceptor.invokeInvoker(InvokerInterceptor.java:331)
       at org.jboss.invocation.InvokerInterceptor.invoke(InvokerInterceptor.java:194)
       at org.jboss.proxy.TransactionInterceptor.invoke(TransactionInterceptor.java:61)
       at org.jboss.proxy.SecurityInterceptor.invoke(SecurityInterceptor.java:70)
       at org.jboss.proxy.ejb.HomeInterceptor.invoke(HomeInterceptor.java:184)
       at org.jboss.proxy.ClientContainer.invoke(ClientContainer.java:100)
       at $Proxy0.create(Unknown Source)
      


      The server is giving the following error:

      16:38:02,964 ERROR [ServerThread] Worker thread initialization failure
      java.io.EOFException
       at org.jboss.remoting.transport.socket.ServerThread.processInvocation(ServerThread.java:526)
       at org.jboss.remoting.transport.socket.ServerThread.dorun(ServerThread.java:369)
       at org.jboss.remoting.transport.socket.ServerThread.run(ServerThread.java:165)
      


      The clients are using the correct jboss-messaging-client.jar.

      Are these two compatible, or should I be using another version of jboss messaging?